﻿@model IndexViewModel
@{
    ViewData["Title"] = "Home Page";
}


@foreach (var room in Model.Rooms)
{
    <h2>@room.RoomName</h2>
    <table class="table table-striped table-dark">
      <thead>
        <tr>
          <th scope="col">Coffee</th>
          <th scope="col">Amount</th>
          <th scope="col">Refill</th>
        </tr>
      </thead>
      <tbody>
        @foreach (var capsule in room.Capsules)
        {
            <tr>
              <td>@capsule.Flavor</td>
              <td>@capsule.CapsulesLeft</td>
              <td>
                    <a asp-controller="Home" asp-action="Refill" asp-route-Flavour=@capsule.Flavor asp-route-Room=@room.RoomId>
                      <button type="button" class="btn btn-outline-info">Request</button>
                    </a>
              </td>
            </tr>
        }
      </tbody>
    </table>
}
